

%nodefaultctor SimulationBox; // disable generation of wrapper for default constructor


class SimulationBox {
 public:
  virtual float GetVolume();
  virtual float GetLength(int dir);
  void CopyAnotherBox(SimulationBox* boxToBeCopied);
};


class RectangularSimulationBox : public SimulationBox {
};


%feature("autodoc","Simulation box which allows simulation of Couette-type shearing involving a relative shift in the x-direction of periodic images separated in the y-direction.\n") LeesEdwardsSimulationBox; 

// this will prevent warnings about keywords and overloaded functions
%feature("kwargs", 0) LeesEdwardsSimulationBox::LeesEdwardsSimulationBox;

class LeesEdwardsSimulationBox : public RectangularSimulationBox {
 public:
  LeesEdwardsSimulationBox();
  LeesEdwardsSimulationBox(SimulationBox* box_to_copy);
  void SetBoxShift( float box_shift);
  float GetBoxShift();
  void IncrementBoxStrain(float inc_boxStrain);
};

